
import { GrpcWebFetchTransport } from "@protobuf-ts/grpcweb-transport"
import keycloak from "@/plugins/keycloak"
import { DocumentServiceClient } from "@/proto/document/document.client"
import { LibraryServiceClient } from "@/proto/library/library.client"
import config from "@/plugins/config"

export default () => {

  const transport = new GrpcWebFetchTransport({
    baseUrl: config.rpcBaseUrl,
    format: "text",
    meta: {
      "Authorization": "Bearer " + keycloak.idToken,
    },
    timeout: 100 * 1000,
  })


  const libraryServiceClient = new LibraryServiceClient(transport)
  const documentClient = new DocumentServiceClient(transport)
  return {
    libraryServiceClient,
    documentClient
  }
}
